---------------------------------------------------------
--Instance Module Template for BossTactics
--refer www.bosstactics.net for howto create modules!
---------------------------------------------------------

--available buttontypes:
--f: rangedDPS, h: healer, t: tank, n:melee, b,x,y,z: boss
--empty captions are not "" please use " " or you will get exceptions!

--local variable definition dont change!!
local BT_main = LibStub("AceAddon-3.0"):GetAddon( "BossTactics" )

BT_Naxx = LibStub("AceAddon-3.0"):NewAddon("BT_Naxx","AceConsole-3.0");
local L = LibStub("AceLocale-3.0"):GetLocale("BT_Naxx")

--feel free to use localisations from the framework
local L_main = LibStub("AceLocale-3.0"):GetLocale("BossTactics")

local BabbleBoss = LibStub("LibBabble-Boss-3.0"):GetLookupTable();
local BabbleZone = LibStub("LibBabble-Zone-3.0"):GetLookupTable();

--db profile defaults add your boss-data here
local defaults = {
    profile = {
        ["instance"] = BabbleZone["Naxxramas"], --instance name
		["version"] = 1, --change this to a higher value for update handling (explained in a tutorial)
		["initial"] = true, --never change this flag!
		["id"] = "BT_Naxx", --very important this must be the same name as your module case sensitive!
		["info"] = L["info"], --a short text you can add to the info frame, optional
		["patchlevel"] = "3.1.0", --put in the patchlevel to which this guide belongs to
		["bosses"] = {
			["mode25"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Anub'Rekhan"],
                    ["ratext"] = L["ra Anub'Rekhan"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["25-Anub'Rekhan"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Anub'Rekhan"],} }, --optional
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_anubrekhan",
                            ["btnId"] = 12, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                            	{
                                    ["y"] = -185.1972913114881,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 242.500073545099,
                                }, -- [1]
                                {
                                    ["y"] = -208.881678950263,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 369.210450197526,
                                }, -- [2]
                                {
                                    ["y"] = -342.1051161359932,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 167.1052415481339,
                                }, -- [3]
                                {
                                    ["y"] = -311.513139536082,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 40.39474765100312,
                                }, -- [4]
                                {
                                    ["y"] = -157.56578256069,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 248.2236082439209,
                                }, -- [5]
                                {
                                    ["y"] = -286.8418641449896,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 51.44738632473348,
                                }, -- [6]
                                {
                                    ["y"] = -156.5788948083725,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 274.2764366006517,
                                }, -- [7]
                                {
                                    ["y"] = -289.8026837282137,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 253.749956891962,
                                }, -- [8]
                                {
                                    ["y"] = -332.2367857547685,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 348.6842636005956,
                                }, -- [9]
                                {
                                    ["y"] = -181.2498380061378,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 263.2238174677052,
                                }, -- [10]
                                {
                                    ["y"] = -367.7631034123476,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 257.6973124933926,
                                }, -- [11]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Anub'Rekhan"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Crypt Guard"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
                --second boss
                [2] = {
                    ["name"] = BabbleBoss["Grand Widow Faerlina"],
                    ["tactictext"] =  { [1] = {["name"] = "BossTactics", ["data"]=L["25-Grand Widow Faerlina"],} },
                    ["ratext"] = L["ra Grand Widow Faerlina"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Grand Widow Faerlina"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_faerlina",
                            ["btnId"] = 27,
                            ["buttons"] = {
                            	{
                                    ["y"] = -215.9012084795366,
                                    ["type"] = "n",
                                    ["caption"] = " r",
                                    ["x"] = 259.5378508167294,
                                }, -- [1]
                                {
                                    ["y"] = -355.1608585644348,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 124.2365057944897,
                                }, -- [2]
                                {
                                    ["y"] = -297.4987522010007,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 104.3517901215087,
                                }, -- [3]
                                {
                                    ["y"] = -250.7160760160345,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 185.2546976882279,
                                }, -- [4]
                                {
                                    ["y"] = -238.7485552698166,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 247.6621528945106,
                                }, -- [5]
                                {
                                    ["y"] = -225.6928359925047,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 192.5692862139877,
                                }, -- [6]
                                {
                                    ["y"] = -214.8131538995678,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 338.7501423872031,
                                }, -- [7]
                                {
                                    ["y"] = -225.6928359925047,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 313.3336638773559,
                                }, -- [8]
                                {
                                    ["y"] = -205.0215983621623,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 314.8149569436421,
                                }, -- [9]
                                {
                                    ["y"] = -210.4612954575056,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 173.3791797049157,
                                }, -- [10]
                                {
                                    ["y"] = -206.1095089910059,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 202.7546560422114,
                                }, -- [11]
                                {
                                    ["y"] = -262.6837407133776,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 247.2686984815054,
                                }, -- [12]
                                {
                                    ["y"] = -251.804148589894,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 316.8988294200956,
                                }, -- [13]
                                {
                                    ["y"] = -366.0407205962782,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 227.5934406926636,
                                }, -- [14]
                                {
                                    ["y"] = -347.5451962602791,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 384.26050655192,
                                }, -- [15]
                                {
                                    ["y"] = -215.901136503974,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 92.68552309259312,
                                }, -- [16]
                                {
                                    ["y"] = -157.1508496033366,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 278.7278493624575,
                                }, -- [17]
                                {
                                    ["y"] = -270.2996369381118,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 435.3950771667298,
                                }, -- [18]
                                {
                                    ["y"] = -156.0628849928211,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 99.21323878012386,
                                }, -- [19]
                                {
                                    ["y"] = -307.2903437261875,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 356.7601555656193,
                                }, -- [20]
                                {
                                    ["y"] = -154.9750643334307,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 157.6622359756776,
                                }, -- [21]
                                {
                                    ["y"] = -186.526038038382,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 397.0150800752735,
                                }, -- [22]
                                {
                                    ["y"] = -324.6978134822178,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 213.1486110508777,
                                }, -- [23]
                                {
                                    ["y"] = -138.6556041726427,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 224.0282571560333,
                                }, -- [24]
                                {
                                    ["y"] = -148.4472136917201,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 351.3204584702761,
                                }, -- [25]
                                {
                                    ["y"] = -225.6928359925047,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 432.1313812679803,
                                }, -- [26]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Grand Widow Faerlina"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Followers"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Worshipers"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
                [3] = {
                    ["name"] = BabbleBoss["Maexxna"],
                    ["tactictext"] =  { [1] = {["name"] = "BossTactics", ["data"]=L["25-Maexxna"],} },
                    ["ratext"] = L["ra Maexxna"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Maexxna"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_maexxna",
                            ["btnId"] = 7,
                            ["buttons"] = {
                            	{
                                    ["y"] = -216.7764878570439,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 264.2106661384548,
                                }, -- [1]
                                {
                                    ["y"] = -252.3024928620798,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 198.4869003087978,
                                }, -- [2]
                                {
                                    ["y"] = -260.1974971767002,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 228.2894487781476,
                                }, -- [3]
                                {
                                    ["y"] = -161.5132651772162,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 264.4079108115876,
                                }, -- [4]
                                {
                                    ["y"] = -188.157817782953,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 263.0263187643812,
                                }, -- [5]
                                {
                                    ["y"] = -330.2633619842445,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 220.1973170350982,
                                }, -- [6]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Maexxna"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                [4] = {
                    ["name"] = BabbleBoss["Patchwerk"],
                    ["tactictext"] =  { [1] = {["name"] = "BossTactics", ["data"]=L["25-Patchwerk"],} },
                    ["ratext"] = L["ra Patchwerk"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Patchwerk"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_patchwerk",
                            ["btnId"] = 12,
                            ["buttons"] = {
                            	{
									["y"] = -259.2105508020309,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 263.0262601420295,
                                }, -- [1]
                                {
                                    ["y"] = -283.881552622148,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 251.5789562549782,
                                }, -- [2]
                                {
                                    ["y"] = -238.4867482570728,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 251.3814575516543,
                                }, -- [3]
                                {
                                    ["y"] = -393.4213251781093,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 217.4342501853894,
                                }, -- [4]
                                {
                                    ["y"] = -364.8025183185308,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 259.6710293756757,
                                }, -- [5]
                                {
                                    ["y"] = -283.8816894076356,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 278.2236554165946,
                                }, -- [6]
                                {
                                    ["y"] = -397.3686026164041,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 260.8552399642617,
                                }, -- [7]
                                {
                                    ["y"] = -236.5133635681166,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 278.0262544171904,
                                }, -- [8]
                                {
                                    ["y"] = -397.3686026164041,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 302.302493320067,
                                }, -- [9]
                                {
                                    ["y"] = -366.7762938231658,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 296.1841370816526,
                                }, -- [10]
                                {
                                    ["y"] = -363.8158650556206,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 221.1842829505515,
                                }, -- [11]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Patchwerk"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                [5] = {
                    ["name"] = BabbleBoss["Grobbulus"],
                    ["tactictext"] =  { [1] = {["name"] = "BossTactics", ["data"]=L["25-Grobbulus"],} },
                    ["ratext"] = L["ra Grobbulus"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Grobbulus"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_grobbulus1",
                            ["btnId"] = 7,
                            ["buttons"] = {
                            	{
                                    ["y"] = -475.329022300538,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 430.0001485404904,
                                }, -- [1]
                                {
                                    ["y"] = -390.4607010027247,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 373.158040288364,
                                }, -- [2]
                                {
                                    ["y"] = -390.4604665133173,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 406.9079834407123,
                                }, -- [3]
                                {
                                    ["y"] = -528.6182252159314,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 393.6839923958871,
                                }, -- [4]
                                {
                                    ["y"] = -515.7895051487294,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 422.8946505195673,
                                }, -- [5]
                                {
                                    ["y"] = -494.0792252079166,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 452.6974334783244,
                                }, -- [6]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 217,
                                    ["y"] = -22,
                                    ["text"] = L["Grobbulus tank"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Grobbulus"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_grobbulus2",
                            ["btnId"] = 10,
                            ["buttons"] = {
                            	{
                                    ["y"] = -335.1973708485853,
                                    ["type"] = "x",
                                    ["caption"] = "1",
                                    ["x"] = 505.3947851296161,
                                }, -- [1]
                                {
                                    ["y"] = -366.7762938231658,
                                    ["type"] = "x",
                                    ["caption"] = "2",
                                    ["x"] = 460.986634027451,
                                }, -- [2]
                                {
                                    ["y"] = -289.8027423505655,
                                    ["type"] = "x",
                                    ["caption"] = "3",
                                    ["x"] = 460.9868294352904,
                                }, -- [3]
                                {
                                    ["y"] = -303.6185846594923,
                                    ["type"] = "x",
                                    ["caption"] = "4",
                                    ["x"] = 428.4210577899602,
                                }, -- [4]
                                {
                                    ["y"] = -522.6972504361373,
                                    ["type"] = "x",
                                    ["caption"] = "5",
                                    ["x"] = 492.5658305730068,
                                }, -- [5]
                                {
                                    ["y"] = -455.5920098039777,
                                    ["type"] = "x",
                                    ["caption"] = "6",
                                    ["x"] = 405.7236946889905,
                                }, -- [6]
                                {
                                    ["y"] = -461.5131409100433,
                                    ["type"] = "x",
                                    ["caption"] = "7",
                                    ["x"] = 352.4342572841898,
                                }, -- [7]
                                {
                                    ["y"] = -466.4475015084951,
                                    ["type"] = "x",
                                    ["caption"] = "8",
                                    ["x"] = 300.1317076317066,
                                }, -- [8]
                                {
                                    ["y"] = -471.3814322097001,
                                    ["type"] = "x",
                                    ["caption"] = "...",
                                    ["x"] = 249.8027771575869,
                                }, -- [9]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 217,
                                    ["y"] = -22,
                                    ["text"] = L["Grobbulus poison"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Poison Order"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
                [6] = {
                    ["name"] = BabbleBoss["Gluth"],
                    ["tactictext"] =  { [1] = {["name"] = "BossTactics", ["data"]=L["25-Gluth"],} },
                    ["ratext"] = L["ra Gluth"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_gluth",
                            ["btnId"] = 17,
                            ["buttons"] = {
                            	{
									["y"] = -223.6844480930752,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 278.0263130395422,
                                }, -- [1]
                                {
                                    ["y"] = -268.0923060834811,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 220.1972779535304,
                                }, -- [2]
                                {
                                    ["y"] = -253.289497859101,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 199.671032734248,
                                }, -- [3]
                                {
                                    ["y"] = -171.3816053288329,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 253.5526145149096,
                                }, -- [4]
                                {
                                    ["y"] = -200.9868309619142,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 265.0000161058805,
                                }, -- [5]
                                {
                                    ["y"] = -171.3814880841292,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 274.2762802743801,
                                }, -- [6]
                                {
                                    ["y"] = -221.7105944253044,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 252.3684039263236,
                                }, -- [7]
                                {
                                    ["y"] = -330.2630884132693,
                                    ["type"] = "h",
                                    ["caption"] = L["Cite healer"],
                                    ["x"] = 360.5263304048874,
                                }, -- [8]
                                {
                                    ["y"] = -275.9869977455584,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 198.4866853601744,
                                }, -- [9]
                                {
                                    ["y"] = -338.1578777792662,
                                    ["type"] = "f",
                                    ["caption"] = L["Cite range DD"],
                                    ["x"] = 326.7763090894033,
                                }, -- [10]
                                {
                                    ["y"] = -263.1579259442454,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 184.8683612953555,
                                }, -- [11]
                                {
									["y"] = -251.8039686509875,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 157.96348969298,
                                }, -- [12]
                                {
                                    ["y"] = -244.1882703590505,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 182.6855119869887,
                                }, -- [13]
                                {
                                    ["y"] = -351.8971626656852,
                                    ["type"] = "h",
                                    ["caption"] = L["Cite healer"],
                                    ["x"] = 122.8473504452891,
                                }, -- [14]
                                {
                                    ["y"] = -231.1326590450825,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 172.1071375930261,
                                }, -- [15]
                                {
                                    ["y"] = -354.0728759600285,
                                    ["type"] = "f",
                                    ["caption"] = L["Cite range DD"],
                                    ["x"] = 92.68552309259312,
                                }, -- [16]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Gluth"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                [7] = {
                    ["name"] = BabbleBoss["Thaddius"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["25-Thaddius"],} },
                    ["ratext"] = L["ra Thaddius"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Thaddius"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_thaddius1",
                            ["btnId"] = 14,
                            ["buttons"] = {
                            	{
									["y"] = -306.5791502125251,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 102.7631361584269,
                                }, -- [1]
                                {
                                    ["y"] = -307.5658620977872,
                                    ["type"] = "z",
                                    ["caption"] = " ",
                                    ["x"] = 459.2106112563312,
                                }, -- [2]
                                {
                                    ["y"] = -337.1709900269487,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 101.5789548810169,
                                }, -- [3]
                                {
                                    ["y"] = -235.5261827040399,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 289.6710179259977,
                                }, -- [4]
                                {
                                    ["y"] = -288.8154442417851,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 474.4078306638409,
                                }, -- [5]
                                {
                                    ["y"] = -343.0920820514465,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 35.65791262445323,
                                }, -- [6]
                                {
                                    ["y"] = -378.6184778721613,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 491.7762265753898,
                                }, -- [7]
                                {
                                    ["y"] = -335.1974490117211,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 459.8026188467044,
                                }, -- [8]
                                {
                                    ["y"] = -380.5922142952284,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 469.0789807191238,
                                }, -- [9]
                                {
                                    ["y"] = -318.4210020681935,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 40.78950079785174,
                                }, -- [10]
                                {
                                    ["y"] = -289.8026055650779,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 447.7631510430084,
                                }, -- [11]
                                {
                                    ["y"] = -325.3290209265767,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 16.90786848594419,
                                }, -- [12]
                                {
                                    ["y"] = -295.723560804088,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 53.42106412544878,
                                }, -- [13]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Phase 1"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Thaddius"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Stalagg"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "z",
                                        ["caption"] = BabbleBoss["Feugen"],
                                        ["r"] = 131/255,
                                        ["g"] = 48/255,
                                        ["b"] = 19/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_thaddius2",
                            ["btnId"] = 4,
                            ["buttons"] = {
                            	{
                                    ["y"] = -328.2895083164737,
                                    ["type"] = "f",
                                    ["caption"] = "-",
                                    ["x"] = 221.1841852466318,
                                }, -- [1]
                                {
                                    ["y"] = -328.28939107177,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 260.0657922929163,
                                }, -- [2]
                                {
                                    ["y"] = -327.302698727292,
                                    ["type"] = "z",
                                    ["caption"] = "+",
                                    ["x"] = 300.3288741417035,
                                }, -- [3]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Phase 2"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Thaddius"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [2] = {
                                        ["type"] = "z",
                                        ["caption"] = "+",
                                        ["r"] = 131/255,
                                        ["g"] = 48/255,
                                        ["b"] = 19/255,
                                    },
                                     [3] = {
                                        ["type"] = "f",
                                        ["caption"] = "-",
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                },
                            },
                        },
                    },
                },
                [8] = {
                    ["name"] = BabbleBoss["Instructor Razuvious"],
                    ["tactictext"] =  { [1] = {["name"] = "BossTactics", ["data"]=L["25-Instructor Razuvious"],} },
                    ["ratext"] = L["ra Instructor Razuvious"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Instructor Razuvious"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_razuvious",
                            ["btnId"] = 22,
                            ["buttons"] = {
                            	{
									["y"] = -218.0770297372238,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 142.732147090778,
                                }, -- [1]
                                {
                                    ["y"] = -255.0680064336594,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 179.4215101920981,
                                }, -- [2]
                                {
                                    ["y"] = -347.5450882969352,
                                    ["x"] = 332.1299381017191,
                                    ["type"] = "t",
                                }, -- [3]
                                {
                                    ["y"] = -312.7304006993438,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 253.101993940979,
                                }, -- [4]
                                {
                                    ["y"] = -367.1286672129031,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 318.7734329482618,
                                }, -- [5]
                                {
                                    ["y"] = -174.5584453166015,
                                    ["type"] = "z",
                                    ["caption"] = " ",
                                    ["x"] = 206.411554439497,
                                }, -- [6]
                                {
                                    ["y"] = -336.6656221306861,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 183.0788764305407,
                                }, -- [7]
                                {
                                    ["y"] = -358.4248063776534,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 183.8655513359726,
                                }, -- [8]
                                {
                                    ["y"] = -288.7948913657511,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 245.8795881170314,
                                }, -- [9]
                                {
                                    ["y"] = -294.2348583694541,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 270.9028281405613,
                                }, -- [10]
                                {
                                    ["y"] = -186.526038038382,
                                    ["type"] = "z",
                                    ["caption"] = " ",
                                    ["x"] = 333.7038637170837,
                                }, -- [11]
                                {
                                    ["y"] = -249.6282373627535,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 343.7046882027765,
                                }, -- [12]
                                {
                                    ["y"] = -146.2711225256731,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 314.329301834934,
                                }, -- [13]
                                {
                                    ["y"] = -214.8132258751304,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 267.546823582765,
                                }, -- [14]
                                {
                                    ["y"] = -289.8827120251414,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 395.9270254953047,
                                }, -- [15]
                                {
                                    ["y"] = -176.7343385498513,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 277.6398847519419,
                                }, -- [16]
                                {
                                    ["y"] = -201.7576505489437,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 399.4919751113565,
                                }, -- [17]
                                {
                                    ["y"] = -268.1235997537368,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 127.5004266168723,
                                }, -- [18]
                                {
                                    ["y"] = -146.271257479853,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 249.3527688907561,
                                }, -- [19]
                                {
                                    ["y"] = -161.5027800209615,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 168.8431178042449,
                                }, -- [20]
                                {
                                    ["y"] = -162.5908525948209,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 379.909151938796,
                                }, -- [21]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Instructor Razuvious"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Death Knight Understudy"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "z",
                                        ["caption"] = L["Death knight Controller"],
                                        ["r"] = 131/255,
                                        ["g"] = 48/255,
                                        ["b"] = 19/255,
                                    },
                                },
                            },
                        },
                    },
                },
                [9] = {
                    ["name"] = BabbleBoss["Gothik the Harvester"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["25-Gothik the Harvester"],} },
                    ["ratext"] = L["ra Gothik the Harvester"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Gothik the Harvester"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_gothik1",
                            ["btnId"] = 17,
                            ["buttons"] = {
                            	{
                                    ["y"] = -333.2237125886539,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 389.5395093660275,
                                }, -- [1]
                                {
                                    ["y"] = -301.6446137470178,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 397.0394576516482,
                                }, -- [2]
                                {
                                    ["y"] = -322.3684944551117,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 351.2500466956038,
                                }, -- [3]
                                {
                                    ["y"] = -251.3155855689784,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 56.38159548210969,
                                }, -- [4]
                                {
                                    ["y"] = -92.43431743316536,
                                    ["type"] = "b",
                                    ["caption"] = L["Gothik Start"],
                                    ["x"] = 279.8027461671248,
                                }, -- [5]
                                {
                                    ["y"] = -285.8552890452152,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 372.1709962097749,
                                }, -- [6]
                                {
                                    ["y"] = -311.513139536082,
                                    ["type"] = "b",
                                    ["caption"] = L["Gothik Port"],
                                    ["x"] = 242.3026334641268,
                                }, -- [7]
                                {
                                    ["y"] = -325.3290600081446,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 9.99997725330619,
                                }, -- [8]
                                {
                                    ["y"] = -355.1610385033413,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 374.8622254886132,
                                }, -- [9]
                                {
                                    ["y"] = -321.4339736323431,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 413.3344952513349,
                                }, -- [10]
                                {
                                    ["y"] = -396.5038736418391,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 11.96681785986428,
                                }, -- [11]
                                {
                                    ["y"] = -276.8273526256425,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 389.3991298688674,
                                }, -- [12]
                                {
                                    ["y"] = -344.2811764714979,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 430.7419650073652,
                                }, -- [13]
                                {
                                    ["y"] = -358.4248063776534,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 396.621589674487,
                                }, -- [14]
                                {
                                    ["y"] = -265.9475805632524,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 357.0617331729534,
                                }, -- [15]
                                {
                                    ["y"] = -311.6422381560311,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 375.5568616433582,
                                }, -- [16]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 147,
                                    ["y"] = -22,
                                    ["text"] = L["Living Side"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Gothik the Harvester"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Spawn"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_gothik2",
                            ["btnId"] = 14,
                            ["buttons"] = {
                            	{
                                    ["y"] = -185.1972913114881,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 353.2235877108315,
                                }, -- [1]
                                {
                                    ["y"] = -153.6183292553397,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 357.5656671479348,
                                }, -- [2]
                                {
                                    ["y"] = -195.0657780189843,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 390.5263580367771,
                                }, -- [3]
                                {
                                    ["y"] = -132.8945267103815,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 378.0922054789763,
                                }, -- [4]
                                {
                                    ["y"] = -166.447283811949,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 380.2633038198798,
                                }, -- [5]
                                {
                                    ["y"] = -150.6578809470105,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 401.7763781691278,
                                }, -- [6]
                                {
                                    ["y"] = -206.1094370154433,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 369.1212386881863,
                                }, -- [7]
                                {
                                    ["y"] = -129.9517343404476,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 344.7923829049323,
                                }, -- [8]
                                {
                                    ["y"] = -181.0861969919135,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 410.7652555684239,
                                }, -- [9]
                                {
                                    ["y"] = -166.9426390613206,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 424.5156110004807,
                                }, -- [10]
                                {
                                    ["y"] = -156.0630289439463,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 341.5287229939641,
                                }, -- [11]
                                {
                                    ["y"] = -132.1277085462054,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 408.1957999588249,
                                }, -- [12]
                                {
                                    ["y"] = -145.1833558479547,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 435.3948972278233,
                                }, -- [13]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Undeath Side"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
                    },
                },
                [10] = {
                    ["name"] = BabbleBoss["The Four Horsemen"],
                    ["tactictext"] =  { [1] = {["name"] = "BossTactics", ["data"]=L["25-The Four Horsemen"],} },
                    ["ratext"] = L["ra The Four Horsemen"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-The Four Horsemen"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_horsemen1",
                            ["btnId"] = 11,
                            ["buttons"] = {
                            	{
									["y"] = -230.5921152173473,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 145.9868324122067,
                                }, -- [1]
                                {
                                    ["y"] = -212.8289173069899,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 146.3815367070955,
                                }, -- [2]
                                {
                                    ["y"] = -219.7367212167497,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 318.2896293777367,
                                }, -- [3]
                                {
                                    ["y"] = -228.6184178758481,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 341.1841589887034,
                                }, -- [4]
                                {
                                    ["y"] = -222.6974040144861,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 170.855274313296,
                                }, -- [5]
                                {
                                    ["y"] = -213.8158050593074,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 360.3288903239152,
                                }, -- [6]
                                {
                                    ["y"] = -204.9343624304003,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 337.4340871419734,
                                }, -- [7]
                                {
                                    ["y"] = -247.4521282028159,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 136.5974989476034,
                                }, -- [8]
                                {
                                    ["y"] = -232.2205696739261,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 112.2688141063106,
                                }, -- [9]
                                {
                                    ["y"] = -215.901136503974,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 123.93518909857,
                                }, -- [10]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Melee Horsemen"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Thane Korth'azz"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Baron Rivendare"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_horsemen2",
                            ["btnId"] = 7,
                            ["buttons"] = {
                            	{
									["y"] = -227.6315301235306,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 102.368500256282,
                                }, -- [1]
                                {
                                    ["y"] = -222.6975603407577,
                                    ["type"] = "z",
                                    ["caption"] = " ",
                                    ["x"] = 378.289450152109,
                                }, -- [2]
                                {
                                    ["y"] = -262.171350844471,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 251.9736214682991,
                                }, -- [3]
                                {
                                    ["y"] = -232.5658907219824,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 186.6446771782345,
                                }, -- [4]
                                {
                                    ["y"] = -227.6315301235306,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 325.7894604186537,
                                }, -- [5]
                                {
									["y"] = -219.1650843171927,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 250.1392818511721,
                                }, -- [6]
                            },
                             ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Ranged Horsemen"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = BabbleBoss["Lady Blaumeux"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                    [6] = {
                                        ["type"] = "z",
                                        ["caption"] = BabbleBoss["Sir Zeliek"],
                                        ["r"] = 131/255,
                                        ["g"] = 48/255,
                                        ["b"] = 19/255,
                                    },
                                },
                            },
                        },
                    },
                },
                [11] = {
                    ["name"] = BabbleBoss["Noth the Plaguebringer"],
                    ["tactictext"] =  { [1] = {["name"] = "BossTactics", ["data"]=L["25-Noth the Plaguebringer"],} },
                    ["ratext"] = L["ra Noth the Plaguebringer"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Noth the Plaguebringer"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_noth",
                            ["btnId"] = 14,
                            ["buttons"] = {
                          		{
                                    ["y"] = -277.9603824345145,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 289.8683603030501,
                                }, -- [1]
                                {
                                    ["y"] = -169.4079666096855,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 385.9868776002696,
                                }, -- [2]
                                {
                                    ["y"] = -191.1184028767698,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 399.013272237851,
                                }, -- [3]
                                {
                                    ["y"] = -256.2499461674302,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 337.4340871419734,
                                }, -- [4]
                                {
                                    ["y"] = -276.9735923861167,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 313.3552296977171,
                                }, -- [5]
                                {
                                    ["y"] = -339.1448827762874,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 409.4735320463132,
                                }, -- [6]
                                {
                                    ["y"] = -210.8551418023549,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 410.8552217974392,
                                }, -- [7]
                                {
                                    ["y"] = -170.3946980357314,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 410.6578989611707,
                                }, -- [8]
                                {
                                    ["y"] = -298.6843217649603,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 309.6052360141228,
                                }, -- [9]
                                {
                                    ["y"] = -195.0657780189843,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 425.4605117777114,
                                }, -- [10]
                                {
                                    ["y"] = -193.0922565445406,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 375.3290604661316,
                                }, -- [11]
                                {
                                    ["y"] = -212.6371886907554,
                                    ["x"] = 235.3012856986314,
                                    ["caption"] = " ",
                                    ["type"] = "t",
                                }, -- [12]
                                {
                                    ["y"] = -295.3227869921884,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 294.3527003593366,
                                }, -- [13]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 10,
                                    ["y"] = -250,
                                    ["text"] = L["Entrance"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                                [2] = {
                                    ["x"] = 450,
                                    ["y"] = -100,
                                    ["text"] = L["Balcony"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Noth the Plaguebringer"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                [12] = {
                    ["name"] = BabbleBoss["Heigan the Unclean"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["25-Heigan the Unclean"],} },
                    ["ratext"] = L["ra Heigan the Unclean"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-Trash-Heigan the Unclean"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_heigan1",
                            ["btnId"] = 6,
                            ["buttons"] = {
                            	{
									["y"] = -456.5788975562952,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 248.8158112421336,
                                }, -- [1]
                                {
                                    ["y"] = -298.6841849794727,
                                    ["type"] = "t",
                                    ["caption"] = "1",
                                    ["x"] = 397.6315043235893,
                                }, -- [2]
                                {
                                    ["y"] = -267.1054183311636,
                                    ["type"] = "t",
                                    ["caption"] = "2",
                                    ["x"] = 270.3289442137335,
                                }, -- [3]
                                {
                                    ["y"] = -275.9871540718299,
                                    ["type"] = "t",
                                    ["caption"] = "3",
                                    ["x"] = 142.0394865811681,
                                }, -- [4]
                                {
                                    ["y"] = -295.7236585080077,
                                    ["type"] = "t",
                                    ["caption"] = "4",
                                    ["x"] = 103.552681533692,
                                }, -- [5]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Phase 1"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "t",
                                        ["caption"] = L["Save Position"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_heigan2",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
									["y"] = -270.0655735277336,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 386.9737262710193,
                                }, -- [1]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Phase 2"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "f",
                                        ["caption"] = L["Group"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                },
                            },
                        },
                    },
                },
                [13] = {
                    ["name"] = BabbleBoss["Loatheb"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["25-Loatheb"],} },
                    ["ratext"] = L["ra Loatheb"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Loatheb"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_loatheb",
                            ["btnId"] = 11,
                            ["buttons"] = {
                            		{
                                    ["y"] = -182.2368039215911,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 112.6315349323954,
                                }, -- [1]
                                {
                                    ["y"] = -209.8683322131732,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 266.973654825028,
                                }, -- [2]
                                {
                                    ["y"] = -223.6842136036679,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 250.3947847479601,
                                }, -- [3]
                                {
                                    ["y"] = -142.7630915810135,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 271.3157342621312,
                                }, -- [4]
                                {
                                    ["y"] = -334.2106785041072,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 243.8816069699534,
                                }, -- [5]
                                {
                                    ["y"] = -332.2369029994722,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 261.8421667981472,
                                }, -- [6]
                                {
                                    ["y"] = -225.6579109451671,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 285.9211024055392,
                                }, -- [7]
                                {
                                    ["y"] = -189.1447836984063,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 414.6054108888729,
                                }, -- [8]
                                {
                                    ["y"] = -517.7633588165002,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 488.6184358900083,
                                }, -- [9]
                                {
                                    ["y"] = -513.8157687256622,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 27.76317211041611,
                                }, -- [10]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Loatheb"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Spore spawn"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
                [14] = {
                    ["name"] = BabbleBoss["Sapphiron"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["25-Sapphiron"],} },
                    ["ratext"] = L["ra Sapphiron"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_sapphiron",
                            ["btnId"] = 25,
                            ["buttons"] = {
                           		{
									["y"] = -329.2762788240875,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 269.9343376227644,
                                }, -- [1]
                                {
                                    ["y"] = -308.5524762791294,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 243.6843622968207,
                                }, -- [2]
                                {
                                    ["y"] = -224.6711013559854,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 343.7500593284153,
                                }, -- [3]
                                {
                                    ["y"] = -307.5656471491637,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 292.8290626415705,
                                }, -- [4]
                                {
                                    ["y"] = -208.8814444608557,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 397.8289834861293,
                                }, -- [5]
                                {
                                    ["y"] = -323.3552845035095,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 305.6578804126922,
                                }, -- [6]
                                {
                                    ["y"] = -242.434221103207,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 406.9079834407123,
                                }, -- [7]
                                {
                                    ["y"] = -281.9079529845685,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 444.4079202766548,
                                }, -- [8]
                                {
                                    ["y"] = -238.4867482570728,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 463.9472582028357,
                                }, -- [9]
                                {
                                    ["y"] = -192.1053492514391,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 333.684132539947,
                                }, -- [10]
                                {
                                    ["y"] = -344.2811764714979,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 236.6904860325587,
                                }, -- [11]
                                {
                                    ["y"] = -275.7393160395644,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 495.2334366412267,
                                }, -- [12]
                                {
                                    ["y"] = -318.1699178557805,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 469.9086190103627,
                                }, -- [13]
                                {
                                    ["y"] = -361.6888621542159,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 258.4497602489792,
                                }, -- [14]
                                {
                                    ["y"] = -305.1145584562817,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 315.0240099652416,
                                }, -- [15]
                                {
                                    ["y"] = -209.3733128530994,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 279.8159039424263,
                                }, -- [16]
                                {
                                    ["y"] = -233.3086422477856,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 499.2841493293304,
                                }, -- [17]
                                {
                                    ["y"] = -208.2853122548025,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 451.4132386254889,
                                }, -- [18]
                                {
                                    ["y"] = -183.2622341762885,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 374.1682011261505,
                                }, -- [19]
                                {
                                    ["y"] = -261.5957581089714,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 430.7415691417709,
                                }, -- [20]
                                {
                                    ["y"] = -361.6887901786533,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 491.9692369135389,
                                }, -- [21]
                                {
                                    ["y"] = -239.8365378742228,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 376.6447722722018,
                                }, -- [22]
                                {
                                    ["y"] = -282.2672116660016,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 413.6356410052934,
                                }, -- [23]
                                {
                                    ["y"] = -215.9013524306618,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 314.6309514178307,
                                }, -- [24]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Sapphiron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                [15] = {
                    ["name"] = BabbleBoss["Kel'Thuzad"],
                    ["tactictext"] =  { [1] = {["name"] = "BossTactics", ["data"]=L["25-Kel'Thuzad"],} },
                    ["ratext"] = L["ra Kel'Thuzad"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_kelthuzad1",
                            ["btnId"] = 10,
                            ["buttons"] = {
                            	{
									["y"] = -528.6182642974993,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 261.0526605044499,
                                }, -- [1]
                                {
                                    ["y"] = -220.7235503467153,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 61.31583395066181,
                                }, -- [2]
                                {
                                    ["y"] = -315.4605733006483,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 178.5526431391048,
                                }, -- [3]
                                {
                                    ["y"] = -333.2234390176787,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 255.7236737742452,
                                }, -- [4]
                                {
                                    ["y"] = -347.0393594897413,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 336.4473166343595,
                                }, -- [5]
                                {
                                    ["y"] = -200.9868309619142,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 254.7368251034956,
                                }, -- [6]
                                {
                                    ["y"] = -220.7234721835796,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 455.0656983292248,
                                }, -- [7]
                                {
                                    ["y"] = -400.3292658733566,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 11.97363490258805,
                                }, -- [8]
                                {
                                    ["y"] = -383.55252581807,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 496.5131470928695,
                                }, -- [9]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Phase 1"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "f",
                                        ["caption"] = L["Group"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [2] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Kel'Thuzad"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [4] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Mob spawn"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                         [2] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_kelthuzad2",
                            ["btnId"] = 11,
                            ["buttons"] = {
                            	{
									["y"] = -307.5656471491637,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 230.6578894961035,
                                }, -- [1]
                                {
                                    ["y"] = -335.1976053379926,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 139.473635093416,
                                }, -- [2]
                                {
                                    ["y"] = -394.4079784410195,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 157.039500397113,
                                }, -- [3]
                                {
                                    ["y"] = -274.0133004040591,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 260.4603793431014,
                                }, -- [4]
                                {
                                    ["y"] = -300.6579214025398,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 258.0920949514171,
                                }, -- [5]
                                {
                                    ["y"] = -312.499812339776,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 281.9736686409729,
                                }, -- [6]
                                {
                                    ["y"] = -366.7764501494374,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 259.8683717527282,
                                }, -- [7]
                                {
                                    ["y"] = -325.3290013857927,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 411.8417968972136,
                                }, -- [8]
                                {
                                    ["y"] = -383.552838470613,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 384.9998726032484,
                                }, -- [9]
                                {
                                    ["y"] = -435.8553099599605,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 265.5920823186056,
                                }, -- [10]
                                {
									["y"] = -434.5825450404304,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 361.4135196394531,
                                }, -- [11]
                                {
                                    ["y"] = -260.5079374495811,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 431.135491395933,
                                }, -- [12]
                                {
                                    ["y"] = -323.6099388411555,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 274.7692833883846,
                                }, -- [13]
                                {
                                    ["y"] = -299.6746454342506,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 166.3658269025675,
                                }, -- [14]
                                {
                                    ["y"] = -320.3459550401556,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 238.8663792658085,
                                }, -- [15]
                                {
                                    ["y"] = -262.6839026583935,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 110.1852655198888,
                                }, -- [16]
                                {
                                    ["y"] = -276.8275685523303,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 362.1999966120878,
                                }, -- [17]
                                {
                                    ["y"] = -347.5452322480604,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 345.8804014971198,
                                }, -- [18]
                                {
                                    ["y"] = -360.6007715864658,
                                    ["type"] = "h",
                                    ["caption"] = " r",
                                    ["x"] = 184.8612432752227,
                                }, -- [19]
                                {
                                    ["y"] = -267.0356171493305,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 210.9725378787213,
                                }, -- [20]
                                {
                                    ["y"] = -350.8091080857165,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 76.36610791653169,
                                }, -- [21]
                                {
                                    ["y"] = -421.5268257631184,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 99.21320279234256,
                                }, -- [22]
                                {
                                    ["y"] = -449.8140495876482,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 188.4267327079941,
                                }, -- [23]
                                {
                                    ["y"] = -368.216613829528,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 457.1542974014784,
                                }, -- [24]
                                {
                                    ["y"] = -313.8181313892809,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 478.9136975751335,
                                }, -- [25]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Phase 2"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Kel'Thuzad"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
            },
            ["mode10"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Anub'Rekhan"],
                    ["ratext"] = L["ra Anub'Rekhan"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Anub'Rekhan"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Anub'Rekhan"],} }, --optional
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_anubrekhan",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
                                    ["y"] = -185.1972913114881,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 242.500073545099,
                                }, -- [1]
                                {
                                    ["y"] = -208.881678950263,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 369.210450197526,
                                }, -- [2]
                                {
                                    ["y"] = -342.1051161359932,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 167.1052415481339,
                                }, -- [3]
                                {
                                    ["y"] = -311.513139536082,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 40.39474765100312,
                                }, -- [4]
                                {
                                    ["y"] = -157.56578256069,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 248.2236082439209,
                                }, -- [5]
                                {
                                    ["y"] = -286.8418641449896,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 51.44738632473348,
                                }, -- [6]
                                {
                                    ["y"] = -156.5788948083725,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 274.2764366006517,
                                }, -- [7]
                                {
                                    ["y"] = -289.8026837282137,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 253.749956891962,
                                }, -- [8]
                                {
                                    ["y"] = -332.2367857547685,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 348.6842636005956,
                                }, -- [9]
                                {
                                    ["y"] = -181.2498380061378,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 263.2238174677052,
                                }, -- [10]
                                {
                                    ["y"] = -367.7631034123476,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 257.6973124933926,
                                }, -- [11]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Anub'Rekhan"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Crypt Guard"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
                --second boss
                [2] = {
                    ["name"] = BabbleBoss["Grand Widow Faerlina"],
                    ["tactictext"] =  { [1] = {["name"] = "BossTactics", ["data"]=L["10-Grand Widow Faerlina"],} },
                    ["ratext"] = L["ra Grand Widow Faerlina"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Grand Widow Faerlina"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_faerlina",
                            ["btnId"] = 13,
                            ["buttons"] = {
                            	{
									["y"] = -204.9340497778572,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 249.4078188325069,
                                }, -- [1]
                                {
                                    ["y"] = -299.6710727317902,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 137.3026539972162,
                                }, -- [2]
                                {
                                    ["y"] = -205.9211524787981,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 342.7632106576657,
                                }, -- [3]
                                {
                                    ["y"] = -255.2632147413842,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 248.6183516203775,
                                }, -- [4]
                                {
                                    ["y"] = -230.5921152173473,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 248.2238231925443,
                                }, -- [5]
                                {
                                    ["y"] = -170.3947761988672,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 217.2368101044173,
                                }, -- [6]
                                {
                                    ["y"] = -172.3683953772306,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 185.4606229159201,
                                }, -- [7]
                                {
                                    ["y"] = -347.0392813266055,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 192.7630724982167,
                                }, -- [8]
                                {
                                    ["y"] = -211.8420295546724,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 148.3552829005546,
                                }, -- [9]
                                {
                                    ["y"] = -317.4343488052833,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 272.500003473069,
                                }, -- [10]
                                {
                                    ["y"] = -214.8025364853534,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 272.1051428519087,
                                }, -- [11]
                                {
                                    ["y"] = -268.0918957270183,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 375.1316594667274,
                                }, -- [12]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Grand Widow Faerlina"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Worshipers"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
                [3] = {
                    ["name"] = BabbleBoss["Maexxna"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-Maexxna"],} },
                    ["ratext"] = L["ra Maexxna"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Maexxna"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_maexxna",
                            ["btnId"] = 7,
                            ["buttons"] = {
                            	{
                                    ["y"] = -216.7764878570439,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 264.2106661384548,
                                }, -- [1]
                                {
                                    ["y"] = -252.3024928620798,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 198.4869003087978,
                                }, -- [2]
                                {
                                    ["y"] = -260.1974971767002,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 228.2894487781476,
                                }, -- [3]
                                {
                                    ["y"] = -161.5132651772162,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 264.4079108115876,
                                }, -- [4]
                                {
                                    ["y"] = -188.157817782953,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 263.0263187643812,
                                }, -- [5]
                                {
                                    ["y"] = -330.2633619842445,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 220.1973170350982,
                                }, -- [6]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Maexxna"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                [4] = {
                    ["name"] = BabbleBoss["Patchwerk"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-Patchwerk"],} },
                    ["ratext"] = L["ra Patchwerk"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Patchwerk"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_patchwerk",
                            ["btnId"] = 12,
                            ["buttons"] = {
                            	{
									["y"] = -259.2105508020309,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 263.0262601420295,
                                }, -- [1]
                                {
                                    ["y"] = -283.881552622148,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 251.5789562549782,
                                }, -- [2]
                                {
                                    ["y"] = -238.4867482570728,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 251.3814575516543,
                                }, -- [3]
                                {
                                    ["y"] = -393.4213251781093,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 217.4342501853894,
                                }, -- [4]
                                {
                                    ["y"] = -364.8025183185308,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 259.6710293756757,
                                }, -- [5]
                                {
                                    ["y"] = -283.8816894076356,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 278.2236554165946,
                                }, -- [6]
                                {
                                    ["y"] = -397.3686026164041,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 260.8552399642617,
                                }, -- [7]
                                {
                                    ["y"] = -236.5133635681166,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 278.0262544171904,
                                }, -- [8]
                                {
                                    ["y"] = -397.3686026164041,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 302.302493320067,
                                }, -- [9]
                                {
                                    ["y"] = -366.7762938231658,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 296.1841370816526,
                                }, -- [10]
                                {
                                    ["y"] = -363.8158650556206,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 221.1842829505515,
                                }, -- [11]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Patchwerk"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                [5] = {
                    ["name"] = BabbleBoss["Grobbulus"],
                    ["tactictext"] =  { [1] = {["name"] = "BossTactics", ["data"]=L["10-Grobbulus"],} },
                    ["ratext"] = L["ra Grobbulus"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Grobbulus"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_grobbulus1",
                            ["btnId"] = 7,
                            ["buttons"] = {
                            	{
                                    ["y"] = -475.329022300538,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 430.0001485404904,
                                }, -- [1]
                                {
                                    ["y"] = -390.4607010027247,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 373.158040288364,
                                }, -- [2]
                                {
                                    ["y"] = -390.4604665133173,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 406.9079834407123,
                                }, -- [3]
                                {
                                    ["y"] = -528.6182252159314,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 393.6839923958871,
                                }, -- [4]
                                {
                                    ["y"] = -515.7895051487294,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 422.8946505195673,
                                }, -- [5]
                                {
                                    ["y"] = -494.0792252079166,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 452.6974334783244,
                                }, -- [6]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 217,
                                    ["y"] = -22,
                                    ["text"] = L["Grobbulus tank"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Grobbulus"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_grobbulus2",
                            ["btnId"] = 10,
                            ["buttons"] = {
                            	{
                                    ["y"] = -335.1973708485853,
                                    ["type"] = "x",
                                    ["caption"] = "1",
                                    ["x"] = 505.3947851296161,
                                }, -- [1]
                                {
                                    ["y"] = -366.7762938231658,
                                    ["type"] = "x",
                                    ["caption"] = "2",
                                    ["x"] = 460.986634027451,
                                }, -- [2]
                                {
                                    ["y"] = -289.8027423505655,
                                    ["type"] = "x",
                                    ["caption"] = "3",
                                    ["x"] = 460.9868294352904,
                                }, -- [3]
                                {
                                    ["y"] = -303.6185846594923,
                                    ["type"] = "x",
                                    ["caption"] = "4",
                                    ["x"] = 428.4210577899602,
                                }, -- [4]
                                {
                                    ["y"] = -522.6972504361373,
                                    ["type"] = "x",
                                    ["caption"] = "5",
                                    ["x"] = 492.5658305730068,
                                }, -- [5]
                                {
                                    ["y"] = -455.5920098039777,
                                    ["type"] = "x",
                                    ["caption"] = "6",
                                    ["x"] = 405.7236946889905,
                                }, -- [6]
                                {
                                    ["y"] = -461.5131409100433,
                                    ["type"] = "x",
                                    ["caption"] = "7",
                                    ["x"] = 352.4342572841898,
                                }, -- [7]
                                {
                                    ["y"] = -466.4475015084951,
                                    ["type"] = "x",
                                    ["caption"] = "8",
                                    ["x"] = 300.1317076317066,
                                }, -- [8]
                                {
                                    ["y"] = -471.3814322097001,
                                    ["type"] = "x",
                                    ["caption"] = "...",
                                    ["x"] = 249.8027771575869,
                                }, -- [9]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 217,
                                    ["y"] = -22,
                                    ["text"] = L["Grobbulus poison"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Poison Order"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },

                    },
                },
                [6] = {
                    ["name"] = BabbleBoss["Gluth"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-Gluth"],} },
                    ["ratext"] = L["ra Gluth"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_gluth",
                            ["btnId"] = 12,
                            ["buttons"] = {
                            {
									["y"] = -223.6844480930752,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 278.0263130395422,
                                }, -- [1]
                                {
                                    ["y"] = -268.0923060834811,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 220.1972779535304,
                                }, -- [2]
                                {
                                    ["y"] = -253.289497859101,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 199.671032734248,
                                }, -- [3]
                                {
                                    ["y"] = -171.3816053288329,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 253.5526145149096,
                                }, -- [4]
                                {
                                    ["y"] = -200.9868309619142,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 265.0000161058805,
                                }, -- [5]
                                {
                                    ["y"] = -171.3814880841292,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 274.2762802743801,
                                }, -- [6]
                                {
                                    ["y"] = -221.7105944253044,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 252.3684039263236,
                                }, -- [7]
                                {
                                    ["y"] = -330.2630884132693,
                                    ["type"] = "h",
                                    ["caption"] = L["Cite healer"],
                                    ["x"] = 360.5263304048874,
                                }, -- [8]
                                {
                                    ["y"] = -275.9869977455584,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 198.4866853601744,
                                }, -- [9]
                                {
                                    ["y"] = -338.1578777792662,
                                    ["type"] = "f",
                                    ["caption"] = L["Cite range DD"],
                                    ["x"] = 326.7763090894033,
                                }, -- [10]
                                {
                                    ["y"] = -263.1579259442454,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 184.8683612953555,
                                }, -- [11]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Gluth"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                [7] = {
                    ["name"] = BabbleBoss["Thaddius"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-Thaddius"],} },
                    ["ratext"] = L["ra Thaddius"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Thaddius"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_thaddius1",
                            ["btnId"] = 14,
                            ["buttons"] = {
                            	{
									["y"] = -306.5791502125251,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 102.7631361584269,
                                }, -- [1]
                                {
                                    ["y"] = -307.5658620977872,
                                    ["type"] = "z",
                                    ["caption"] = " ",
                                    ["x"] = 459.2106112563312,
                                }, -- [2]
                                {
                                    ["y"] = -337.1709900269487,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 101.5789548810169,
                                }, -- [3]
                                {
                                    ["y"] = -235.5261827040399,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 289.6710179259977,
                                }, -- [4]
                                {
                                    ["y"] = -288.8154442417851,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 474.4078306638409,
                                }, -- [5]
                                {
                                    ["y"] = -343.0920820514465,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 35.65791262445323,
                                }, -- [6]
                                {
                                    ["y"] = -378.6184778721613,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 491.7762265753898,
                                }, -- [7]
                                {
                                    ["y"] = -335.1974490117211,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 459.8026188467044,
                                }, -- [8]
                                {
                                    ["y"] = -380.5922142952284,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 469.0789807191238,
                                }, -- [9]
                                {
                                    ["y"] = -318.4210020681935,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 40.78950079785174,
                                }, -- [10]
                                {
                                    ["y"] = -289.8026055650779,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 447.7631510430084,
                                }, -- [11]
                                {
                                    ["y"] = -325.3290209265767,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 16.90786848594419,
                                }, -- [12]
                                {
                                    ["y"] = -295.723560804088,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 53.42106412544878,
                                }, -- [13]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Phase 1"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Thaddius"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Stalagg"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "z",
                                        ["caption"] = BabbleBoss["Feugen"],
                                        ["r"] = 131/255,
                                        ["g"] = 48/255,
                                        ["b"] = 19/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_thaddius2",
                            ["btnId"] = 4,
                            ["buttons"] = {
                            	{
                                    ["y"] = -328.2895083164737,
                                    ["type"] = "f",
                                    ["caption"] = "-",
                                    ["x"] = 221.1841852466318,
                                }, -- [1]
                                {
                                    ["y"] = -328.28939107177,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 260.0657922929163,
                                }, -- [2]
                                {
                                    ["y"] = -327.302698727292,
                                    ["type"] = "z",
                                    ["caption"] = "+",
                                    ["x"] = 300.3288741417035,
                                }, -- [3]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Phase 2"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Thaddius"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [2] = {
                                        ["type"] = "z",
                                        ["caption"] = "+",
                                        ["r"] = 131/255,
                                        ["g"] = 48/255,
                                        ["b"] = 19/255,
                                    },
                                     [3] = {
                                        ["type"] = "f",
                                        ["caption"] = "-",
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                },
                            },
                        },
                    },
                },
                [8] = {
                    ["name"] = BabbleBoss["Instructor Razuvious"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-Instructor Razuvious"],} },
                    ["ratext"] = L["ra Instructor Razuvious"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-Trash-Instructor Razuvious"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_razuvious",
                            ["btnId"] = 13,
                            ["buttons"] = {
                            	{
                                    ["y"] = -267.1054183311636,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 265.9868061542783,
                                }, -- [1]
                                {
                                    ["y"] = -244.4079770670581,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 252.7630691396445,
                                }, -- [2]
                                {
                                    ["y"] = -129.9342444987159,
                                    ["type"] = "z",
                                    ["caption"] = " ",
                                    ["x"] = 225.3289613882506,
                                }, -- [3]
                                {
                                    ["y"] = -282.8946062474787,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 249.4079360772105,
                                }, -- [4]
                                {
                                    ["y"] = -178.2894874017284,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 267.7631611187251,
                                }, -- [5]
                                {
                                    ["y"] = -180.2632629063634,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 244.8683579367833,
                                }, -- [6]
                                {
                                    ["y"] = -251.3159763846573,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 288.2894063380075,
                                }, -- [7]
                                {
                                    ["y"] = -133.8815805593626,
                                    ["type"] = "z",
                                    ["caption"] = " ",
                                    ["x"] = 301.3159182202926,
                                }, -- [8]
                                {
                                    ["y"] = -183.2237112146925,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 296.3815576218408,
                                }, -- [9]
                                {
                                    ["y"] = -288.8157568943283,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 270.1315432143292,
                                }, -- [10]
                                {
                                    ["y"] = -204.9341279409929,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 260.6579757503451,
                                }, -- [11]
                                {
                                    ["y"] = -205.9210352340944,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 291.2500305133921,
                                }, -- [12]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Instructor Razuvious"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Death Knight Understudy"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "z",
                                        ["caption"] = L["Death knight Controller"],
                                        ["r"] = 131/255,
                                        ["g"] = 48/255,
                                        ["b"] = 19/255,
                                    },
                                },
                            },
                        },
                    },
                },
                [9] = {
                    ["name"] = BabbleBoss["Gothik the Harvester"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-Gothik the Harvester"],} },
                    ["ratext"] = L["ra Gothik the Harvester"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Gothik the Harvester"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_gothik1",
                            ["btnId"] = 9,
                            ["buttons"] = {
                            	{
                                    ["y"] = -333.2237125886539,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 389.5395093660275,
                                }, -- [1]
                                {
                                    ["y"] = -301.6446137470178,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 397.0394576516482,
                                }, -- [2]
                                {
                                    ["y"] = -322.3684944551117,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 351.2500466956038,
                                }, -- [3]
                                {
                                    ["y"] = -251.3155855689784,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 56.38159548210969,
                                }, -- [4]
                                {
                                    ["y"] = -92.43431743316536,
                                    ["type"] = "b",
                                    ["caption"] = L["Gothik Start"],
                                    ["x"] = 279.8027461671248,
                                }, -- [5]
                                {
                                    ["y"] = -285.8552890452152,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 372.1709962097749,
                                }, -- [6]
                                {
                                    ["y"] = -311.513139536082,
                                    ["type"] = "b",
                                    ["caption"] = L["Gothik Port"],
                                    ["x"] = 242.3026334641268,
                                }, -- [7]
                                {
                                    ["y"] = -325.3290600081446,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 9.99997725330619,
                                }, -- [8]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 147,
                                    ["y"] = -22,
                                    ["text"] = L["Living Side"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Gothik the Harvester"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Spawn"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_gothik2",
                            ["btnId"] = 7,
                            ["buttons"] = {
                            	{
                                    ["y"] = -185.1972913114881,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 353.2235877108315,
                                }, -- [1]
                                {
                                    ["y"] = -153.6183292553397,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 357.5656671479348,
                                }, -- [2]
                                {
                                    ["y"] = -195.0657780189843,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 390.5263580367771,
                                }, -- [3]
                                {
                                    ["y"] = -132.8945267103815,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 378.0922054789763,
                                }, -- [4]
                                {
                                    ["y"] = -166.447283811949,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 380.2633038198798,
                                }, -- [5]
                                {
                                    ["y"] = -150.6578809470105,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 401.7763781691278,
                                }, -- [6]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Undeath Side"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
                    },
                },
                [10] = {
                    ["name"] = BabbleBoss["The Four Horsemen"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-The Four Horsemen"],} },
                    ["ratext"] = L["ra The Four Horsemen"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-Trash-The Four Horsemen"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_horsemen1",
                            ["btnId"] = 8,
                            ["buttons"] = {
                            	{
									["y"] = -230.5921152173473,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 145.9868324122067,
                                }, -- [1]
                                {
                                    ["y"] = -212.8289173069899,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 146.3815367070955,
                                }, -- [2]
                                {
                                    ["y"] = -219.7367212167497,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 318.2896293777367,
                                }, -- [3]
                                {
                                    ["y"] = -228.6184178758481,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 341.1841589887034,
                                }, -- [4]
                                {
                                    ["y"] = -222.6974040144861,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 170.855274313296,
                                }, -- [5]
                                {
                                    ["y"] = -213.8158050593074,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 360.3288903239152,
                                }, -- [6]
                                {
                                    ["y"] = -204.9343624304003,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 337.4340871419734,
                                }, -- [7]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Melee Horsemen"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Thane Korth'azz"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Baron Rivendare"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_horsemen2",
                            ["btnId"] = 6,
                            ["buttons"] = {
                            	{
									["y"] = -227.6315301235306,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 102.368500256282,
                                }, -- [1]
                                {
                                    ["y"] = -222.6975603407577,
                                    ["type"] = "z",
                                    ["caption"] = " ",
                                    ["x"] = 378.289450152109,
                                }, -- [2]
                                {
                                    ["y"] = -262.171350844471,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 251.9736214682991,
                                }, -- [3]
                                {
                                    ["y"] = -232.5658907219824,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 186.6446771782345,
                                }, -- [4]
                                {
                                    ["y"] = -227.6315301235306,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 325.7894604186537,
                                }, -- [5]
                            },
                             ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Ranged Horsemen"],
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = BabbleBoss["Lady Blaumeux"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                    [6] = {
                                        ["type"] = "z",
                                        ["caption"] = BabbleBoss["Sir Zeliek"],
                                        ["r"] = 131/255,
                                        ["g"] = 48/255,
                                        ["b"] = 19/255,
                                    },
                                },
                            },
                        },
                    },
                },
                [11] = {
                    ["name"] = BabbleBoss["Noth the Plaguebringer"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-Noth the Plaguebringer"],} },
                    ["ratext"] = L["ra Noth the Plaguebringer"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Noth the Plaguebringer"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_noth",
                            ["btnId"] = 12,
                            ["buttons"] = {
                            	{
                                    ["y"] = -277.9603824345145,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 289.8683603030501,
                                }, -- [1]
                                {
                                    ["y"] = -169.4079666096855,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 385.9868776002696,
                                }, -- [2]
                                {
                                    ["y"] = -191.1184028767698,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 399.013272237851,
                                }, -- [3]
                                {
                                    ["y"] = -256.2499461674302,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 337.4340871419734,
                                }, -- [4]
                                {
                                    ["y"] = -276.9735923861167,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 313.3552296977171,
                                }, -- [5]
                                {
                                    ["y"] = -339.1448827762874,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 409.4735320463132,
                                }, -- [6]
                                {
                                    ["y"] = -210.8551418023549,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 410.8552217974392,
                                }, -- [7]
                                {
                                    ["y"] = -170.3946980357314,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 410.6578989611707,
                                }, -- [8]
                                {
                                    ["y"] = -298.6843217649603,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 309.6052360141228,
                                }, -- [9]
                                {
                                    ["y"] = -195.0657780189843,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 425.4605117777114,
                                }, -- [10]
                                {
                                    ["y"] = -193.0922565445406,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 375.3290604661316,
                                }, -- [11]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 10,
                                    ["y"] = -250,
                                    ["text"] = L["Entrance"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                                [2] = {
                                    ["x"] = 450,
                                    ["y"] = -100,
                                    ["text"] = L["Balcony"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Noth the Plaguebringer"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                [12] = {
                    ["name"] = BabbleBoss["Heigan the Unclean"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-Heigan the Unclean"],} },
                    ["ratext"] = L["ra Heigan the Unclean"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-Trash-Heigan the Unclean"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_heigan1",
                            ["btnId"] = 6,
                            ["buttons"] = {
                            	{
									["y"] = -456.5788975562952,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 248.8158112421336,
                                }, -- [1]
                                {
                                    ["y"] = -298.6841849794727,
                                    ["type"] = "t",
                                    ["caption"] = "1",
                                    ["x"] = 397.6315043235893,
                                }, -- [2]
                                {
                                    ["y"] = -267.1054183311636,
                                    ["type"] = "t",
                                    ["caption"] = "2",
                                    ["x"] = 270.3289442137335,
                                }, -- [3]
                                {
                                    ["y"] = -275.9871540718299,
                                    ["type"] = "t",
                                    ["caption"] = "3",
                                    ["x"] = 142.0394865811681,
                                }, -- [4]
                                {
                                    ["y"] = -295.7236585080077,
                                    ["type"] = "t",
                                    ["caption"] = "4",
                                    ["x"] = 103.552681533692,
                                }, -- [5]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Phase 1"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "t",
                                        ["caption"] = L["Save Position"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_heigan2",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
									["y"] = -270.0655735277336,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 386.9737262710193,
                                }, -- [1]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Phase 2"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "f",
                                        ["caption"] = L["Group"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                },
                            },
                        },
                    },
                },
                [13] = {
                    ["name"] = BabbleBoss["Loatheb"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-Loatheb"],} },
                    ["ratext"] = L["ra Loatheb"],
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["10-Trash-Loatheb"],} },
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_loatheb",
                            ["btnId"] = 11,
                            ["buttons"] = {
                        		{
                                    ["y"] = -182.2368039215911,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 112.6315349323954,
                                }, -- [1]
                                {
                                    ["y"] = -209.8683322131732,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 266.973654825028,
                                }, -- [2]
                                {
                                    ["y"] = -223.6842136036679,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 250.3947847479601,
                                }, -- [3]
                                {
                                    ["y"] = -142.7630915810135,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 271.3157342621312,
                                }, -- [4]
                                {
                                    ["y"] = -334.2106785041072,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 243.8816069699534,
                                }, -- [5]
                                {
                                    ["y"] = -332.2369029994722,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 261.8421667981472,
                                }, -- [6]
                                {
                                    ["y"] = -225.6579109451671,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 285.9211024055392,
                                }, -- [7]
                                {
                                    ["y"] = -189.1447836984063,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 414.6054108888729,
                                }, -- [8]
                                {
                                    ["y"] = -517.7633588165002,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 488.6184358900083,
                                }, -- [9]
                                {
                                    ["y"] = -513.8157687256622,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 27.76317211041611,
                                }, -- [10]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Loatheb"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Spore spawn"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
                [14] = {
                    ["name"] = BabbleBoss["Sapphiron"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-Sapphiron"],} },
                    ["ratext"] = L["ra Sapphiron"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_sapphiron",
                            ["btnId"] = 11,
                            ["buttons"] = {
                            	{
									["y"] = -329.2762788240875,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 269.9343376227644,
                                }, -- [1]
                                {
                                    ["y"] = -308.5524762791294,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 243.6843622968207,
                                }, -- [2]
                                {
                                    ["y"] = -224.6711013559854,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 343.7500593284153,
                                }, -- [3]
                                {
                                    ["y"] = -307.5656471491637,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 292.8290626415705,
                                }, -- [4]
                                {
                                    ["y"] = -208.8814444608557,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 397.8289834861293,
                                }, -- [5]
                                {
                                    ["y"] = -323.3552845035095,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 305.6578804126922,
                                }, -- [6]
                                {
                                    ["y"] = -242.434221103207,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 406.9079834407123,
                                }, -- [7]
                                {
                                    ["y"] = -281.9079529845685,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 444.4079202766548,
                                }, -- [8]
                                {
                                    ["y"] = -238.4867482570728,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 463.9472582028357,
                                }, -- [9]
                                {
                                    ["y"] = -192.1053492514391,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 333.684132539947,
                                }, -- [10]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Sapphiron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                [15] = {
                    ["name"] = BabbleBoss["Kel'Thuzad"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]= L["10-Kel'Thuzad"],} },
                    ["ratext"] = L["ra Kel'Thuzad"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_kelthuzad1",
                            ["btnId"] = 10,
                            ["buttons"] = {
                            	{
									["y"] = -528.6182642974993,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 261.0526605044499,
                                }, -- [1]
                                {
                                    ["y"] = -220.7235503467153,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 61.31583395066181,
                                }, -- [2]
                                {
                                    ["y"] = -315.4605733006483,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 178.5526431391048,
                                }, -- [3]
                                {
                                    ["y"] = -333.2234390176787,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 255.7236737742452,
                                }, -- [4]
                                {
                                    ["y"] = -347.0393594897413,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 336.4473166343595,
                                }, -- [5]
                                {
                                    ["y"] = -200.9868309619142,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 254.7368251034956,
                                }, -- [6]
                                {
                                    ["y"] = -220.7234721835796,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 455.0656983292248,
                                }, -- [7]
                                {
                                    ["y"] = -400.3292658733566,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 11.97363490258805,
                                }, -- [8]
                                {
                                    ["y"] = -383.55252581807,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 496.5131470928695,
                                }, -- [9]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Phase 1"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "f",
                                        ["caption"] = L["Group"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [2] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Kel'Thuzad"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [4] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Mob spawn"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                         [2] = {
                            ["source"] = "Interface\\Addons\\BT_Naxx\\Img\\map_kelthuzad2",
                            ["btnId"] = 11,
                            ["buttons"] = {
                            	{
									["y"] = -307.5656471491637,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 230.6578894961035,
                                }, -- [1]
                                {
                                    ["y"] = -335.1976053379926,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 139.473635093416,
                                }, -- [2]
                                {
                                    ["y"] = -394.4079784410195,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 157.039500397113,
                                }, -- [3]
                                {
                                    ["y"] = -274.0133004040591,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 260.4603793431014,
                                }, -- [4]
                                {
                                    ["y"] = -300.6579214025398,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 258.0920949514171,
                                }, -- [5]
                                {
                                    ["y"] = -312.499812339776,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 281.9736686409729,
                                }, -- [6]
                                {
                                    ["y"] = -366.7764501494374,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 259.8683717527282,
                                }, -- [7]
                                {
                                    ["y"] = -325.3290013857927,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 411.8417968972136,
                                }, -- [8]
                                {
                                    ["y"] = -383.552838470613,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 384.9998726032484,
                                }, -- [9]
                                {
                                    ["y"] = -435.8553099599605,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 265.5920823186056,
                                }, -- [10]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -22,
                                    ["text"] = L["Phase 2"],
                                    ["font"] = "GameFontNormalLarge",
                                },
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Kel'Thuzad"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
            },
		},
    },
}

function BT_Naxx:OnInitialize()
 	--initialize database
    self.db = LibStub("AceDB-3.0"):New("BT_NaxxDB", defaults, "Default") --change the name here
    self:CheckUpdate()

    table.insert(BT_main.modules,self.db.profile)
end;

------------------------------------------------
--this function is needed by the main program! dont touch it!
------------------------------------------------
function BT_Naxx:GetDefaults()
	return defaults;
end;

-----------------------------------------------
--handels updates in data
--refer to the tutorial how to get version changes!
-----------------------------------------------

function BT_Naxx:CheckUpdate()

	--the versions stored by the client musst be one more
	--because otherwise it woudnt been saved in the savedVariables
	if(not self.db.profile.initial)then
		if(defaults.profile.version+1 > self.db.profile.version)then
			if(defaults.profile.version >= 2)then
				--BT_main:ShowUpdateInfoFrame()
			end
		end
	end
	self.db.profile.version = defaults.profile.version+1
	self.db.profile.initial = false
end;


----------------------------------------------------------------
--dont touch this functions!
----------------------------------------------------------------

function BT_Naxx:ResetData()
	self.db:ResetDB()
	self.db.profile.version = defaults.profile.version+1
	self:Print(L["Module resetted"])
end;

function BT_Naxx:OnEnable()
    -- Called when the addon is enabled
end

function BT_Naxx:OnDisable()
    -- Called when the addon is disabled
end